Page MenuHomePhabricator

Write maintenance script that purges pages using maps
Closed, ResolvedPublic

Description

Per T191655#4171979, we need a script that purges all pages using maps on a given wiki. Thankfully there's a tracking category for this already (called Category:Pages with maps in English), so this should be relatively easy.

Event Timeline

Catrope triaged this task as High priority.May 1 2018, 6:49 PM
Catrope created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 1 2018, 6:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 430130 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Kartographer@master] Add maintenance script to purge pages with map tags

https://gerrit.wikimedia.org/r/430130

Change 430130 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Add maintenance script to purge pages with map tags

https://gerrit.wikimedia.org/r/430130

Change 430511 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Kartographer@wmf/1.32.0-wmf.2] Add maintenance script to purge pages with map tags

https://gerrit.wikimedia.org/r/430511

Change 430511 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@wmf/1.32.0-wmf.2] Add maintenance script to purge pages with map tags

https://gerrit.wikimedia.org/r/430511

Mentioned in SAL (#wikimedia-operations) [2018-05-02T23:17:45Z] <catrope@tin> Synchronized php-1.32.0-wmf.2/extensions/Kartographer/: Add maintenance script to purge pages with map tags (T193525) (duration: 01m 18s)

Vvjjkkii renamed this task from Write maintenance script that purges pages using maps to mvdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Catrope as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from mvdaaaaaaa to Write maintenance script that purges pages using maps.Jul 2 2018, 1:56 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Catrope.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.